# CompoundFields

class xsdata.models.config.CompoundFields(enabled=False, default_name='choice', force_default_name=False)

  Compound fields options.

  Parameters

    - enabled (`bool`) – Use compound fields for repeatable elements, default: false

    - default_name (`str`) – Default compound field name, default: choice

    - force_default_name (`bool`) – Always use the default compound field, otherwise if the number of elements is less than 4 the generator will try to dynamically create the field name eg. hat_or_dress_or_something.

  __eq__(other)

    Return self==value.

  __hash__ = None